PropertyHolderBuilder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class PropertyHolderBuilder

    java.lang.Object
      org.hibernate.cfg.PropertyHolderBuilder

    public final class PropertyHolderBuilder

extends Object

This factory is here ot build a PropertyHolder and prevent .mapping interface adding

Method Summary
`static PropertyHolder` | `buildPropertyHolder(Collection collection, String path, org.hibernate.annotations.common.reflection.XClass clazzToProcess, org.hibernate.annotations.common.reflection.XProperty property, PropertyHolder parentPropertyHolder, Mappings mappings)` buid a property holder on top of a collection
`static PropertyHolder` | `buildPropertyHolder(Component component, String path, PropertyData inferredData, PropertyHolder parent, Mappings mappings)` build a component property holder
`static PropertyHolder` | `buildPropertyHolder(PersistentClass persistentClass, Map<String,Join> joins, Mappings mappings, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)` must only be used on second level phases ( has to be settled already)
`static PropertyHolder` | `buildPropertyHolder(org.hibernate.annotations.common.reflection.XClass clazzToProcess, PersistentClass persistentClass, EntityBinder entityBinder, Mappings mappings, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildPropertyHolder

    public static PropertyHolder buildPropertyHolder(org.hibernate.annotations.common.reflection.XClass clazzToProcess,
                                                     PersistentClass persistentClass,
                                                     EntityBinder entityBinder,
                                                     Mappings mappings,
                                                     Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)

### buildPropertyHolder

    public static PropertyHolder buildPropertyHolder(Component component,
                                                     String path,
                                                     PropertyData inferredData,
                                                     PropertyHolder parent,
                                                     Mappings mappings)

  build a component property holder

  Parameters:
    `component` - component to wrap
    `path` - component path
    `mappings` -
  Returns:
    PropertyHolder

### buildPropertyHolder

    public static PropertyHolder buildPropertyHolder(Collection collection,
                                                     String path,
                                                     org.hibernate.annotations.common.reflection.XClass clazzToProcess,
                                                     org.hibernate.annotations.common.reflection.XProperty property,
                                                     PropertyHolder parentPropertyHolder,
                                                     Mappings mappings)

  buid a property holder on top of a collection

### buildPropertyHolder

    public static PropertyHolder buildPropertyHolder(PersistentClass persistentClass,
                                                     Map<String,Join> joins,
                                                     Mappings mappings,
                                                     Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)

  must only be used on second level phases ( has to be settled already)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.